# Uses of Class
jcifs.smb.NtlmPasswordAuthentication

Packages that use NtlmPasswordAuthentication
Package
Description
jcifs.smb

## Uses of NtlmPasswordAuthentication in jcifs.smb

Fields in jcifs.smb declared as NtlmPasswordAuthentication
Modifier and Type
Field
Description
`static final NtlmPasswordAuthentication`
NtlmPasswordAuthentication.`ANONYMOUS`
Methods in jcifs.smb that return NtlmPasswordAuthentication
Modifier and Type
Method
Description
`protected NtlmPasswordAuthentication`
NtlmAuthenticator.`getNtlmPasswordAuthentication()`
An application extending this class must provide an implementation for this method that returns new user credentials try try when accessing SMB resources described by the `getRequestingURL` and `getRequestingException` methods.
`static NtlmPasswordAuthentication`
NtlmAuthenticator.`requestNtlmPasswordAuthentication(String url, SmbAuthException sae)`
Used internally by jCIFS when an `SmbAuthException` is trapped to retrieve new user credentials.
Methods in jcifs.smb with parameters of type NtlmPasswordAuthentication
Modifier and Type
Method
Description
`SID[]`
SID.`getGroupMemberSids(String authorityServerName, NtlmPasswordAuthentication auth, int flags)`
`static SID`
SID.`getServerSid(String server, NtlmPasswordAuthentication auth)`
`void`
SID.`resolve(String authorityServerName, NtlmPasswordAuthentication auth)`
Manually resolve this SID.
`static void`
SID.`resolveSids(String authorityServerName, NtlmPasswordAuthentication auth, SID[] sids)`
Resolve an array of SIDs using a cache and at most one MSRPC request.
`static void`
SID.`resolveSids(String authorityServerName, NtlmPasswordAuthentication auth, SID[] sids, int offset, int length)`
Constructors in jcifs.smb with parameters of type NtlmPasswordAuthentication
Modifier
Constructor
Description
``
`NtlmContext(NtlmPasswordAuthentication auth, boolean doSigning)`
``
`SmbFile(String context, String name, NtlmPasswordAuthentication auth)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory.
``
`SmbFile(String context, String name, NtlmPasswordAuthentication auth, int shareAccess)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory.
``
`SmbFile(String url, NtlmPasswordAuthentication auth)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory.
``
`SmbFile(String url, NtlmPasswordAuthentication auth, int shareAccess)`
Constructs an SmbFile representing a file on an SMB network.
``
`SmbFile(URL url, NtlmPasswordAuthentication auth)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory from a `URL` object and an `NtlmPasswordAuthentication` object.
``
`SmbNamedPipe(String url, int pipeType, NtlmPasswordAuthentication auth)`
``
`SmbNamedPipe(URL url, int pipeType, NtlmPasswordAuthentication auth)`